import java.text.Normalizer

object BuscaBR {
  def buscaBR(string:String) :String = {
    Normalizer.normalize(string, Normalizer.Form.NFD)
      .replaceAll("[^\\p{ASCII}]", "")
      .toLowerCase()
      .replaceAll("[^a-z ]","")
      .replaceAll("[ ]+"," ")
      .replaceAll("^ ","")
      .replaceAll(" $","")
      .replaceAll("y","i")
      .replaceAll("w","v")
      .replaceAll("[szprmnl] "," ")
      .replaceAll("[szprmnl]$","")
      .replaceAll("que","ke")
      .replaceAll("qui","ki")
      .replaceAll("q","k")
      .replaceAll("ge", "je")
      .replaceAll("gi", "ji")
      .replaceAll("gue", "ge")
      .replaceAll("gui", "gi")
      .replaceAll("ce", "se")
      .replaceAll("ci", "si")
      .replaceAll("ck", "k")
      .replaceAll("ca", "ka")
      .replaceAll("co", "ko")
      .replaceAll("cu", "ku")
      .replaceAll("pr", "p")
      .replaceAll("pl", "p")
      .replaceAll("br", "b")
      .replaceAll("bl", "b")
      .replaceAll("lh", "l")
      .replaceAll("nh", "n")
      .replaceAll("ch", "s")
      .replaceAll("ct", "t")
      .replaceAll("pt", "t")
      .replaceAll("st", "t")
      .replaceAll("rt", "p")
      .replaceAll("lt", "t")
      .replaceAll("tr", "t")
      .replaceAll("tl", "t")
      .replaceAll("mg", "g")
      .replaceAll("ng", "g")
      .replaceAll("rg", "g")
      .replaceAll("lg", "g")
      .replaceAll("gr", "g")
      .replaceAll("gl", "g")
      .replaceAll("md", "d")
      .replaceAll("nd", "d")
      .replaceAll("rd", "d")
      .replaceAll("ld", "d")
      .replaceAll("dr", "d")
      .replaceAll("dl", "d")
      .replaceAll("mc", "k")
      .replaceAll("nc", "k")
      .replaceAll("rc", "k")
      .replaceAll("lc", "k")
      .replaceAll("cr", "k")
      .replaceAll("cl", "k")
      .replaceAll("rj", "j")
      .replaceAll("lj", "j")
      .replaceAll("mj", "j")
      .replaceAll("nj", "j")
      .replaceAll("rm", "m")
      .replaceAll("lm", "m")
      .replaceAll("gm", "m")
      .replaceAll("sm", "m")
      .replaceAll("rn", "n")
      .replaceAll("ln", "n")
      .replaceAll("gn", "n")
      .replaceAll("sn", "n")
      .replaceAll("ph", "f")
      .replaceAll("fr", "f")
      .replaceAll("fl", "f")
      .replaceAll("rl", "l")
      .replaceAll("sl", "l")
      .replaceAll("rs", "s")
      .replaceAll("ts", "s")
      .replaceAll("[xzc]", "s")
      .replaceAll("[aeiou]","")
      .replaceAll("^h","")
      .replaceAll(" ","")
  }
}
